searchNodes=[{"ref":"Zstream.html","title":"Zstream","type":"module","doc":"Module for reading and writing ZIP file stream Example Zstream.zip([ Zstream.entry(&quot;report.csv&quot;, Stream.map(records, &amp;CSV.dump/1)), Zstream.entry(&quot;catfilm.mp4&quot;, File.stream!(&quot;/catfilm.mp4&quot;, [], 512), coder: Zstream.Coder.Stored) ]) |&gt; Stream.into(File.stream!(&quot;/archive.zip&quot;)) |&gt; Stream.run File.stream!(&quot;archive.zip&quot;, [], 512) |&gt; Zstream.unzip() |&gt; Enum.reduce(%{}, fn {:entry, %Zstream.Entry{name: file_name} = entry}, state -&gt; state {:data, data}, state -&gt; state {:data, :eof}, state -&gt; state end)"},{"ref":"Zstream.html#entry/3","title":"Zstream.entry/3","type":"function","doc":"Creates a ZIP file entry with the given name The enum could be either lazy Stream or List. The elements in enum should be of type iodata Options :coder (module | {module, list}) - The compressor that should be used to encode the data. Available options are Zstream.Coder.Deflate - use deflate compression Zstream.Coder.Stored - store without any compression Defaults to Zstream.Coder.Deflate :encryption_coder ({module, keyword}) - The encryption module that should be used to encrypt the data. Available options are Zstream.EncryptionCoder.Traditional - use tranditional zip encryption scheme. :password key should be present in the options. Example {Zstream.EncryptionCoder.Traditional, password: &quot;secret&quot;} Zstream.EncryptionCoder.None - no encryption Defaults to Zstream.EncryptionCoder.None :mtime (DateTime) - File last modication time. Defaults to system local time."},{"ref":"Zstream.html#unzip/1","title":"Zstream.unzip/1","type":"function","doc":"Unzips file stream returns a new stream which emits the following tuples for each zip entry {:entry, Zstream.Entry.t/0} - Indicates a new file entry. {:data, iodata/0 | :eof} - one or more data tuples will be emitted for each entry. :eof indicates end of data tuples for current entry. NOTES Unzip doesn&#39;t support all valid zip files. Zip file format allows the writer to write the file size info after the file data, which allows the writer to zip streams with unknown size. But this prevents the reader from unzipping the file in a streaming fashion, because to find the file size one has to go to the end of the stream. Ironcially, if you use Zstream to zip a file, the same file can&#39;t be unzipped using Zstream. doesn&#39;t support file which uses data descriptor header doesn&#39;t support encrypted file"},{"ref":"Zstream.html#zip/2","title":"Zstream.zip/2","type":"function","doc":"Creates a ZIP file stream entries are consumed one by one in the given order Options :zip64 (boolean) - If set to true zip64 format is used. Zip64 can support files more than 4 GB in size, but not all the unzip programs support this format. Defaults to false"},{"ref":"Zstream.html#t:entry/0","title":"Zstream.entry/0","type":"opaque","doc":""},{"ref":"Zstream.Coder.Deflate.html","title":"Zstream.Coder.Deflate","type":"module","doc":"Implements the Deflate coder"},{"ref":"Zstream.Coder.Deflate.html#close/1","title":"Zstream.Coder.Deflate.close/1","type":"function","doc":"Callback implementation for c:Zstream.Coder.close/1."},{"ref":"Zstream.Coder.Deflate.html#compression_method/0","title":"Zstream.Coder.Deflate.compression_method/0","type":"function","doc":"Callback implementation for c:Zstream.Coder.compression_method/0."},{"ref":"Zstream.Coder.Deflate.html#encode/2","title":"Zstream.Coder.Deflate.encode/2","type":"function","doc":"Callback implementation for c:Zstream.Coder.encode/2."},{"ref":"Zstream.Coder.Deflate.html#init/1","title":"Zstream.Coder.Deflate.init/1","type":"function","doc":"Callback implementation for c:Zstream.Coder.init/1."},{"ref":"Zstream.Coder.Stored.html","title":"Zstream.Coder.Stored","type":"module","doc":"Implements the Stored(uncompressed) coder"},{"ref":"Zstream.Coder.Stored.html#close/1","title":"Zstream.Coder.Stored.close/1","type":"function","doc":"Callback implementation for c:Zstream.Coder.close/1."},{"ref":"Zstream.Coder.Stored.html#compression_method/0","title":"Zstream.Coder.Stored.compression_method/0","type":"function","doc":"Callback implementation for c:Zstream.Coder.compression_method/0."},{"ref":"Zstream.Coder.Stored.html#encode/2","title":"Zstream.Coder.Stored.encode/2","type":"function","doc":"Callback implementation for c:Zstream.Coder.encode/2."},{"ref":"Zstream.Coder.Stored.html#init/1","title":"Zstream.Coder.Stored.init/1","type":"function","doc":"Callback implementation for c:Zstream.Coder.init/1."},{"ref":"Zstream.EncryptionCoder.None.html","title":"Zstream.EncryptionCoder.None","type":"module","doc":"Noop encryption"},{"ref":"Zstream.EncryptionCoder.None.html#close/1","title":"Zstream.EncryptionCoder.None.close/1","type":"function","doc":"Callback implementation for c:Zstream.EncryptionCoder.close/1."},{"ref":"Zstream.EncryptionCoder.None.html#encode/2","title":"Zstream.EncryptionCoder.None.encode/2","type":"function","doc":"Callback implementation for c:Zstream.EncryptionCoder.encode/2."},{"ref":"Zstream.EncryptionCoder.None.html#general_purpose_flag/0","title":"Zstream.EncryptionCoder.None.general_purpose_flag/0","type":"function","doc":"Callback implementation for c:Zstream.EncryptionCoder.general_purpose_flag/0."},{"ref":"Zstream.EncryptionCoder.None.html#init/1","title":"Zstream.EncryptionCoder.None.init/1","type":"function","doc":"Callback implementation for c:Zstream.EncryptionCoder.init/1."},{"ref":"Zstream.EncryptionCoder.Traditional.html","title":"Zstream.EncryptionCoder.Traditional","type":"module","doc":"Implements the trandition encryption"},{"ref":"Zstream.EncryptionCoder.Traditional.html#close/1","title":"Zstream.EncryptionCoder.Traditional.close/1","type":"function","doc":"Callback implementation for c:Zstream.EncryptionCoder.close/1."},{"ref":"Zstream.EncryptionCoder.Traditional.html#encode/2","title":"Zstream.EncryptionCoder.Traditional.encode/2","type":"function","doc":"Callback implementation for c:Zstream.EncryptionCoder.encode/2."},{"ref":"Zstream.EncryptionCoder.Traditional.html#general_purpose_flag/0","title":"Zstream.EncryptionCoder.Traditional.general_purpose_flag/0","type":"function","doc":"Callback implementation for c:Zstream.EncryptionCoder.general_purpose_flag/0."},{"ref":"Zstream.EncryptionCoder.Traditional.html#init/1","title":"Zstream.EncryptionCoder.Traditional.init/1","type":"function","doc":"Callback implementation for c:Zstream.EncryptionCoder.init/1."},{"ref":"Zstream.Entry.html","title":"Zstream.Entry","type":"module","doc":""},{"ref":"Zstream.Entry.html#t:t/0","title":"Zstream.Entry.t/0","type":"type","doc":""},{"ref":"Zstream.Unzip.Error.html","title":"Zstream.Unzip.Error","type":"exception","doc":""},{"ref":"Zstream.Unzip.Extra.ExtendedTimestamp.html","title":"Zstream.Unzip.Extra.ExtendedTimestamp","type":"module","doc":""},{"ref":"Zstream.Unzip.Extra.ExtendedTimestamp.html#t:t/0","title":"Zstream.Unzip.Extra.ExtendedTimestamp.t/0","type":"type","doc":""},{"ref":"Zstream.Unzip.Extra.Unknown.html","title":"Zstream.Unzip.Extra.Unknown","type":"module","doc":""},{"ref":"Zstream.Unzip.Extra.Unknown.html#t:t/0","title":"Zstream.Unzip.Extra.Unknown.t/0","type":"type","doc":""},{"ref":"Zstream.Unzip.Extra.Zip64ExtendedInformation.html","title":"Zstream.Unzip.Extra.Zip64ExtendedInformation","type":"module","doc":""},{"ref":"Zstream.Unzip.Extra.Zip64ExtendedInformation.html#t:t/0","title":"Zstream.Unzip.Extra.Zip64ExtendedInformation.t/0","type":"type","doc":""},{"ref":"readme.html","title":"Zstream","type":"extras","doc":"Zstream An elixir library to read and write ZIP file in a streaming fashion. It could consume data from any stream and write to any stream with constant memory overhead"},{"ref":"readme.html#example","title":"Zstream - Example","type":"extras","doc":"Zstream.zip([ Zstream.entry(&quot;report.csv&quot;, Stream.map(records, &amp;CSV.dump/1)), Zstream.entry(&quot;catfilm.mp4&quot;, File.stream!(&quot;/catfilm.mp4&quot;, [], 512), coder: Zstream.Coder.Stored) ]) |&gt; Stream.into(File.stream!(&quot;/archive.zip&quot;)) |&gt; Stream.run File.stream!(&quot;archive.zip&quot;, [], 512) |&gt; Zstream.unzip() |&gt; Enum.reduce(%{}, fn {:entry, %Zstream.Entry{name: file_name} = entry}, state -&gt; state {:data, data}, state -&gt; state {:data, :eof}, state -&gt; state end)"},{"ref":"readme.html#features","title":"Zstream - Features","type":"extras","doc":"zip compression (deflate, stored) encryption (traditional) zip64 unzip compression (deflate, stored) zip64 see documenation for more information."}]